/* gpsk31  - PSK31 for Linux with a GTK+ Interface
 * Copyright (C) 2000 Luc Langehegermann, LX2GT
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * Version: 0.1 - March 2000
 *
 */

/*
 * globals.h - Definitions of global Variables
 */


struct qsodata			/* The Data of the current QSO */
{
  gchar call[12];
  gchar name[26];
  gchar qth[26];
  gchar rst_s[9];
  gchar rst_r[9];
  gchar notes[41];
  gchar freq[10];
  gchar date[12];
  gchar time[6];
};
extern struct qsodata qsodata;

struct qso_dialog		/* The Text entry widgets for the call entry dialog */
{
  GtkWidget *call_text;
  GtkWidget *name_text;
  GtkWidget *qth_text;
  GtkWidget *notes_text;
  GtkWidget *rst_s_text;
  GtkWidget *rst_r_text;
  GtkWidget *freq_text;
  GtkWidget *window;
};
extern struct qso_dialog qso_dialog;

struct statusbar		/* The Statusbar Widgets */
{
  GtkWidget *call;
  GtkWidget *name;
  GtkWidget *qth;
  GtkWidget *mode;
  GtkWidget *txstate;
  GtkWidget *time;
};
extern struct statusbar statusbar;

struct main_screen
{
  GdkPixmap *phase_scope;	/* For drawing the phase scope */
  GdkPixmap *spectrum;		/* For drawing the spectrum analizer */
  GtkWidget *rxwindow;		/* RX Window */
  GtkWidget *txwindow;
  GtkWidget *window;		/* The Main Widget */
  GtkWidget *phase_drawing;	/* Phase Scope drawing area */
  GtkWidget *spectrum_drawing;	/* Spectrum drawing area */
  GtkWidget *rx_freq;
  GtkWidget *tx_freq;
  GtkWidget *dcd;
  GtkWidget *cwid;
  GtkWidget *afc;
  GtkWidget *net;
  GtkWidget *mode_qpsk;
  GtkWidget *mode_bpsk;
  GtkWidget *menu;
};
extern struct main_screen main_screen;

struct ini_settings		/* Settings to be written in config file */
{
  int freq;
  char cw_string[15];
  int mycall[15];
  int lsb;
  char macro_label_text [18][25];
  char ptt_device[20];
  char audio_device[20];
};
extern struct ini_settings ini_settings;  

extern int scrolled;		/* Is the Main window scrolled? */

#define F1_LABEL "F1"		/* Labels for the fix texts */
#define F2_LABEL "F2"
#define F3_LABEL "F3"
#define F4_LABEL "F4"
#define F5_LABEL "F5"
#define F6_LABEL "F6"
#define F7_LABEL "F7"
#define F8_LABEL "F8"

#define PTT NULL	/* Settings for the main server */
#define AUDIO "/dev/audio"	/* Audio Device */
#define LSB 0			/* Use LSB? */
#define FREQ 1000		/* Centre Frequency */

#define SAMPS 2048		/* FFT-Samples (1024/2048/4096) */
#define SPEED 100		/* Speed for the spec. display */

#define NEW_RX 1		/* Use new RX Filters/Demodulators? */
