/* gpsk31  - PSK31 for Linux with a GTK+ Interface
 * Copyright (C) 2000 Luc Langehegermann, LX2GT
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * Version: 0.2 - March 2000
 *
 */

/*
 * Misc Functions
 */


#include <time.h>
#include <stdio.h>
#include <gtk/gtk.h>
#include <math.h>
#include <string.h>
#include "misc.h"
#include "spectrum.h"
#include "main_screen.h"
#include "globals.h"
#include "server.h"
#include <unistd.h>
#include <stdlib.h>

extern GdkFont *my_font;
char macro[19][1024];		// 18 fixtexts

void
read_macro ()			// Reads the macros in the memory
{
  int i = 1;
  int c;
  int len;
  char filename[100];
  char f_file[7];
  char *home = getenv("HOME");
  FILE *fp = (FILE *) 0;

  while (i <= 16)
    {
        strcpy (filename, home);
	strcat (filename, "/.gpsk31/");
      if (i == 1)
	strcpy (f_file, "f1.txt");
      if (i == 2)
	strcpy (f_file, "f2.txt");
      if (i == 3)
	strcpy (f_file, "f3.txt");
      if (i == 4)
	strcpy (f_file, "f4.txt");
      if (i == 5)
	strcpy (f_file, "f5.txt");
      if (i == 6)
	strcpy (f_file, "f6.txt");
      if (i == 7)
	strcpy (f_file, "f7.txt");
      if (i == 8)
	strcpy (f_file, "f8.txt");

      if (i == 9)
        strcpy (f_file, "a1.txt");
      if (i == 10)
        strcpy (f_file, "a2.txt");
      if (i == 11)
        strcpy (f_file, "a3.txt");
      if (i == 12)
        strcpy (f_file, "a4.txt");
      if (i == 13)
        strcpy (f_file, "a5.txt");
      if (i == 14)
        strcpy (f_file, "a6.txt");
      if (i == 15)
        strcpy (f_file, "a7.txt");
      if (i == 16)
        strcpy (f_file, "a8.txt");

      strcat (filename, f_file);
      fp = fopen (filename, "r");
      if (fp)
	{
	  while ((c = fgetc (fp)) != EOF)
	    {
	      strcat (macro[i], (char *) &c);
	    }
	  fclose (fp);
	  len = strlen (macro[i]);	// If last char is an CR,
	  if (macro[i][len - 1] == '\n')
	    macro[i][len - 1] = '\0';

	}
      ++i;
    }

}

gint			/* Will be called when we click on the spectrum */
  spectrum_motion_event (GtkWidget * widget, GdkEventMotion * event)
{				// Click on the spectrum
  int x;
  float newfreq;
  x = (int) event->x;
  newfreq = spectrum_new_fc (x);
  commControl (COMM_RXCH, COMM_FREQ, (int) (100 * newfreq));
  return 0;
}

gint display_time (gpointer data)	/* Displays the UTC-Date */
{
  time_t calendar_time;
  struct tm *my_time;
  char *time_string;
  int i = 0;
  calendar_time = time (0);
  my_time = gmtime (&calendar_time);
  time_string = asctime (my_time);
  while (time_string[i] != '\0')
    {
      if (time_string[i] == '\n')
	{
	  time_string[i] = '\0';
	  break;
	}
      ++i;
    }
  gtk_statusbar_push (GTK_STATUSBAR (statusbar.time), 1, time_string);
  return TRUE;
}
